#include <unistd.h>
#include <stdio.h>

typedef unsigned char u8;

int decompress_unlzo(u8 *input, int in_len,
				int (*fill) (void *, unsigned int),
				int (*flush) (void *, unsigned int),
				u8 *output, int *posp,
				void (*error) (char *x));

u8 inbuf[10000000];

void err(char *x)
{
	fprintf(stderr, "%s\n", x);
}

int out(void *b, unsigned int l)
{
	return write(1, b, l);
}

int main()
{
	ssize_t bytes = read(0, inbuf, sizeof(inbuf));
	return decompress_unlzo(inbuf, bytes, NULL, out, NULL, NULL, err);
}
